Skip to content
API Reference

List

organizations.users.list(strorganization_id, UserListParams**kwargs) -> UserListResponse
GET/organizations/{organization_id}/users

List users in an organization

ParametersExpand Collapse
organization_id: str

Organization ID or label identifier

minLength1
maxLength255
after: Optional[str]

Cursor for forward pagination

minLength1
maxLength255
before: Optional[str]

Cursor for backward pagination

minLength1
maxLength255
expand: Optional[List[Literal["permissions"]]]

Fields to expand in the response. Currently supports "permissions" to include the permissions field with the caller's permissions for the resource.

limit: Optional[int]

Maximum number of users to return

minimum1
maximum100
role: Optional[OrganizationRole]

Filter users by role

Accepts one of the following:
"org_admin"
"org_member"
"org_viewer"
x_client_request_id: Optional[str]
formatuuid
ReturnsExpand Collapse
class UserListResponse:
items: List[OrganizationUser]
id: str

The keycard account ID

minLength1
maxLength255
created_at: datetime

The time the entity was created in utc

formatdate-time

User's role in the organization

Accepts one of the following:
"org_admin"
"org_member"
"org_viewer"
source: str

Identity provider issuer

formaturi

Status of organization membership

Accepts one of the following:
"active"
"disabled"
updated_at: datetime

The time the entity was mostly recently updated in utc

formatdate-time
email: Optional[str]

User email address

formatemail
permissions: Optional[Dict[str, Dict[str, bool]]]

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

page_info: PageInfoCursor

Pagination information using cursor-based pagination

has_next_page: bool

Whether there are more items after the current page

has_prev_page: bool

Whether there are more items before the current page

end_cursor: Optional[str]

Cursor pointing to the last item in the current page

minLength1
maxLength255
start_cursor: Optional[str]

Cursor pointing to the first item in the current page

minLength1
maxLength255
permissions: Optional[Dict[str, Dict[str, bool]]]

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

List

from keycardai_api import KeycardAPI

client = KeycardAPI()
users = client.organizations.users.list(
    organization_id="x",
)
print(users.items)
{
  "items": [
    {
      "id": "ab3def8hij2klm9opq5rst7uvw",
      "created_at": "2019-12-27T18:11:19.117Z",
      "role": "org_admin",
      "source": "https://example.com",
      "status": "active",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "email": "dev@stainless.com",
      "permissions": {
        "organizations": {
          "read": true,
          "update": true
        },
        "users": {
          "read": true,
          "list": true
        }
      }
    }
  ],
  "page_info": {
    "has_next_page": true,
    "has_prev_page": true,
    "end_cursor": "x",
    "start_cursor": "x"
  },
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}
Returns Examples
{
  "items": [
    {
      "id": "ab3def8hij2klm9opq5rst7uvw",
      "created_at": "2019-12-27T18:11:19.117Z",
      "role": "org_admin",
      "source": "https://example.com",
      "status": "active",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "email": "dev@stainless.com",
      "permissions": {
        "organizations": {
          "read": true,
          "update": true
        },
        "users": {
          "read": true,
          "list": true
        }
      }
    }
  ],
  "page_info": {
    "has_next_page": true,
    "has_prev_page": true,
    "end_cursor": "x",
    "start_cursor": "x"
  },
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}